#pragma once
#include <QMainWindow>
#include <QVBoxLayout>
#include <QStackedWidget>
#include <QTimer>

#include "TutorialWindow.h"
#include "bank/AccountWindow.h"
#include "db/DeviceInfo.h"
#include "widget/common/FlowLayout.h"

class MainWindow final : public QMainWindow {
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = nullptr);

    void loadDevices();

private:
    QWidget *central;
    FlowLayout *flowLayout;
    QTimer *timer;
    QStackedWidget *stackedWidget;

    QWidget *m_devicesWindow = nullptr;
    QWidget *m_accountsWindow = nullptr;
    QWidget *m_tutorialWindow = nullptr;

    void createDevicePage();

    void deleteDevicePage();
};
